INSTALL ?= install

all: adbd-pam-session

.PHONY: all clean install

adbd-pam-session: CPPFLAGS += -D_GNU_SOURCE -D_XOPEN_SOURCE=600
adbd-pam-session: CFLAGS += -std=c99 -pedantic -Wall -Wextra -g
adbd-pam-session: LDLIBS = -lpam

install: all
	$(INSTALL) -m4755 -D adbd-pam-session $(DESTDIR)/usr/libexec/adbd-pam-session
	$(INSTALL) -m644 -D pam/adbd-pam-session $(DESTDIR)/etc/pam.d/adbd-pam-session
	$(INSTALL) -m644 -D pam/adbd-pam-session-noninteractive $(DESTDIR)/etc/pam.d/adbd-pam-session-noninteractive

clean:
	-rm adbd-pam-session
